@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400&display=swap');

* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: 'Open Sans', sans-serif;
    background-color: #fff;
    color: #333;
    line-height: 1.6;
}

ul {
    list-style: none;
}

a {
    color: #333;
    text-decoration: none;
}

h1, h2 {
    font-weight: 300;
    line-height: 1.2;
}

p {
    margin: 10px 0;
}

img {
    width: 100%;
}

/* Navbar */
.navbar {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: #333;
    color: #fff;
    opacity: 0.8;
    width: 100%;
    height: 70px;
    position: fixed;
    top: 0px;
    padding: 0 30px;
}

.navbar a {
    padding: 10px 20px;
    /* margin: 0 5px; */
}

.navbar a:hover {
    border-bottom: 2px solid #28a745;
    /* background-color: #28a745;
    opacity: 0.6; */
}

.navbar ul {
    display: flex;
}

.navbar .logo {
   font-weight: 400; 
}

.navbar.top {
    background: transparent;
}

/* Header */
.header {
    background-image: url('../img/home-pg/showcase-town.jpg');
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    height: 100vh;
    position: relative;
}

.header .content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    height: 100%;
}

.header .content h1 {
    font-size: 55px;
}

.header .content p {
    font-size: 23px;
    max-width: 600px;
}

.header::before {
    content: '';
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
    position: absolute;
    top: 0;
    left: 0;
}

.header * {
    z-index: 10;
}

.header.blog {
    background-image: url('../img/blog-pg/showcase-blog.jpg');
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    height: 50vh;
}

/* About */
.icons {
    padding: 20px;
}

.icons h3 {
    font-weight: bold;
    margin-bottom: 15px;
}

.icons i {
    padding: 1rem;
    border-radius: 50%;
    margin-bottom: 15px;
}

.flex-items {
    display: flex;
    text-align: center;
    justify-content: center;
    height: 100%;
}

.about-item {
    padding: 20px;
}

/* Solution */
.flex-columns .row {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    width: 100%;
}

.flex-columns .column {
    display: flex;
    flex-direction: column;
    flex-basis: 100%;
    flex: 1;
}

.flex-columns .column .column-1,
.flex-columns .column .column-2 {
    height: 100%;
}

.flex-columns img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.flex-columns .column-2 {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    padding: 30px;
}

.flex-columns h2 {
    font-size: 40px;
    font-weight: 100;
}

.flex-columns h4 {
    margin-bottom: 10px;
}

.flex-columns p{
    margin: 20px 0;
}

.btn-outline {
    background-color: transparent;
    border: 1px solid #fff;
}

/* Cases */
.cases {
    padding: 20px 20px 40px;
}

.section-header {
    padding: 30px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.section-header h2 {
    font-size: 40px;
    margin: 20px 0;
}

.cases img:hover {
    opacity: 0.7;
    cursor: pointer;
}

.flex-grid .row {
    display: flex;
    flex-wrap: wrap;
}

.flex-grid .column {
    flex: 25%;
    max-width: 25%;
    padding: 0 4px;
}

/* Blog */
.flex-columns.flex-reverse .row {
    flex-direction: row-reverse;
}

/* Post */
.post {
    padding: 50px 30px;
}

.post h2 {
    font-size: 40px;
    /* margin-bottom: 20px; */
    padding-bottom: 10px;
    border-bottom: 1px solid #ccc;
}

.post .meta {
    margin-bottom: 30px;
}

.post img {
    width: 300px;
    height: 300px;
    border-radius: 50%;
    display: block;
    margin: 0 auto 30px ;
}

/* Team */
.team {
    padding: 20px 20px 40px;
}

.team-img {
    padding: 10px;
}

.team img {
    border-radius: 50%;
    /* width: 500px;
    height: 500px; */
}

/* Callback Form */
.callback-form {
    width: 100%;
    padding-top: 20px;
}

.callback-form label {
    display: block;
    margin-bottom: 5px;
}

.callback-form .form-control {
    margin-bottom: 15px;
}

.callback-form input {
    width: 100%;
    padding: 4px;
    height: 40px;
    border: 1px solid #f5f5f5;
}

.callback-form input:focus {
    outline-color: #28a745;
}

.callback-form .btn {
    margin-top: 20px;
}
.callback-form .form-control {
    color: #333;
}


/* Footer */
.footer {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    height: 200px;
}

.footer a {
    color: #fff;
}

.footer a:hover {
    color: #28a745;
}

.footer .social > * {
    margin-right: 30px;
}


/* Mobile */
@media (max-width: 768px) {
    .navbar {
        flex-direction: column;
        height: 100px;
        padding: 15px;
    }

    .navbar a {
        padding: 10px 10px;
        margin: 0 3px;
    }

    .flex-items {
        flex-direction: column;
    }

    .flex-columns .column,
    .flex-grid .column {
        flex: 100%;
        max-width: 100%;
    }

    .team-img img {
        width: 70%;
    }
}